> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # List Team Members > List all members of a team. Permission required: `view-all-teams` ## OpenAPI ````json GET /api/v1/teams.members { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/teams.members": { "get": { "tags": [ "Teams" ], "summary": "List Team Members", "description": "List all members of a team. Permission required: `view-all-teams`", "operationId": "get-api-v1-teams.members", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Optional-TeamName" }, { "$ref": "#/components/parameters/Optional-TeamId" }, { "name": "name", "in": "query", "description": "Search filter for the user's name ", "schema": { "type": "string" }, "example": "test" }, { "name": "username", "in": "query", "description": "Search filter for the user's username ", "schema": { "type": "string" }, "example": "test.user" }, { "name": "status", "in": "query", "description": "Search filter for the user's status", "schema": { "type": "array", "items": { "type": "string" } }, "example": "[\"online\", \"away\", \"busy\"]" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "members": { "type": "array", "items": { "type": "object", "properties": { "user": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" }, "status": { "type": "string" }, "settings": { "type": "object", "properties": { "preferences": { "type": "object", "properties": { "themeAppearence": { "type": "string" } } }, "profile": { "type": "object" } } } } }, "roles": { "type": "array", "items": { "type": "string" } }, "createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "createdAt": { "type": "string" } } } }, "total": { "type": "integer" }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "members": [ { "user": { "_id": "rbAXPnMktTFbNpwtJ", "username": "roxie", "name": "test test", "status": "offline", "settings": { "preferences": { "themeAppearence": "light" }, "profile": {} } }, "roles": [ "owner" ], "createdBy": { "_id": "rbAXPnMktTFbNpwtJ", "username": "test.test" }, "createdAt": "2023-02-20T22:10:12.74Z" }, { "user": { "_id": "5fRTXMt7DMJbpPJfh", "username": "test.test", "name": "Testtest", "status": "offline", "settings": { "profile": {} } }, "createdBy": { "_id": "rbAXPnMktTFbNpwtJ", "username": "test.test" }, "createdAt": "2023-07-11T00:23:01.346Z" } ], "total": 2, "count": 2, "offset": 0, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Optional-TeamName": { "name": "teamName", "in": "query", "description": "The team name. It is required if the `teamId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "livestream" }, "Optional-TeamId": { "name": "teamId", "in": "query", "description": "The team id. It is required if the `teamName` is not provided.", "schema": { "type": "string" }, "example": "63f3efc4b000b6b6d86704b2" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````